// --- [ dog_gfx.h ] --------------------------------------------------------

void DOG_hline(uint8_t x1, uint8_t x2, uint8_t y, uint8_t mode);
void DOG_vline(uint8_t x, uint8_t y1, uint8_t y2, uint8_t mode);
void DOG_line(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t mode);
void DOG_box(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t mode);

void DOG_set_pixel_xy(uint8_t x, uint8_t y);
void DOG_clr_pixel_xy(uint8_t x, uint8_t y);
void DOG_xor_pixel_xy(uint8_t x, uint8_t y);

void DOG_set_gfx_position(uint8_t x, uint8_t y);

void DOG_write_gfx(void);
void DOG_clear_gfx(void);

void DOG_print_gs(char * , uint8_t mode);
void DOG_print_gc(uint8_t, uint8_t mode);

#define tmp GPIOR0                        // das Register GPIOR0 nutzen

#define SET_PIX			1
#define CLR_PIX			2
#define XOR_PIX			4

#define DOG_GX_PIXEL    64
#define DOG_GY_PIXEL    64
#define DOB_PAGE_CNT    8				      // DOG_GY_PIXEL / 8
#define DOG_GX_OFFSET   64                // X-Offset des Grafikbereiches vom Ursprung
#define DOG_GY_OFFSET   0                 // Y-Offset des Grafikbereiches vom Ursprung

// --- [ eof ] ----------------------------------------------------------------
